MINTPY-SAVE_ROIPAC(1)

NAME
mintpy-save_roipac - Convert MintPy HDF5 file to ROI_PAC format.

DESCRIPTION
usage: save_roipac.py [-h] [-o OUTFILE] [-m MASK_FILE [MASK_FILE ...]]

[--ref-yx REF_YX REF_YX] [--ref-lalo REF_LALO REF_LALO]
    [--keep-all-metadata] file [dset]

Convert MintPy HDF5 file to ROI_PAC format.

  positional arguments:

file
    HDF5 file to be converted.

dset
    date/date12 of timeseries, or date12 of interferograms to be converted

  options:

-h, --help
    show this help message and exit

-o OUTFILE, --output OUTFILE
    output file name.

-m MASK_FILE [MASK_FILE ...], --mask MASK_FILE [MASK_FILE ...]
    mask file

--ref-yx REF_YX REF_YX
    custom reference pixel in y/x

--ref-lalo REF_LALO REF_LALO
    custom reference pixel in lat/lon

--keep-all-metadata
    Do not clean the metadata as ROIPAC format

  example:

    #----- unwrapped phase #for velocity: output an interferogram with temporal baseline in DATE12 metadata save_roipac.py velocity.h5 save_roipac.py velocity.h5 -m maskTempCoh.h5 maskAoiShinmoe.h5

    #for time-series: specify (date1_)date2 save_roipac.py timeseries_ERA5_ramp_demErr.h5 #use the last date save_roipac.py timeseries_ERA5_ramp_demErr.h5 20050601 save_roipac.py timeseries_ERA5_ramp_demErr.h5 20040728_20050601

    #for HDF-EOS5: specify displacement-date1_date2 save_roipac.py S1_IW12_128_0593_0597_20141213_20180619.he5 displacement-20170904_20170916 save_roipac.py S1_IW12_128_0593_0597_20141213_20180619.he5 displacement-20170916

    #for ifgramStack: specify date1_date2 save_roipac.py inputs/ifgramStack.h5 unwrapPhase-20091225_20100723 save_roipac.py inputs/ifgramStack.h5 unwrapPhase-20091225_20100723 --ref-yx 640 810

    #----- coherence save_roipac.py inputs/ifgramStack.h5 coherence-20091225_20100723 save_roipac.py temporalCoherence.h5 save_roipac.py S1_IW12_128_0593_0597_20141213_20180619.he5 temporalCoherence -o 20170904_20170916.cor

    #----- DEM save_roipac.py geo_geometryRadar.h5 height -o srtm1.dem save_roipac.py geo_geometryRadar.h5 height -o srtm1.hgt save_roipac.py S1_IW12_128_0593_0597_20141213_20180619.he5 height -o srtm1.dem